Bug 828251 - Method Parameters is broken in latest Config::IniFiles Perl module
Method Parameters is broken in latest Config::IniFiles Perl module
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: perl-Config-IniFiles (Show other bugs)
el5
i386 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-04 09:15 EDT by Clément OUDOT
Modified: 2012-08-21 14:35 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-21 14:35:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clément OUDOT 2012-06-04 09:15:57 EDT
Description of problem:

Perl module Config::IniFiles was updated in CentOS 5.8 to version 2.72. This new version uses a new dependency: List::MoreUtils.

It seems Config::IniFiles 2.72 is not compatible with List::MoreUtils 0.22 (the verison in EPEL). It works fine with List::MoreUtils 0.33.

Version-Release number of selected component (if applicable):

Verson 2.72.

How reproducible:

Always.

Steps to Reproduce:
1. Create a test perl script that parses a INI file with a section and a parameter in this section
2. In this script, call the Parameters() subroutine on the section
3. Display the results
  
Actual results:

No values returned

Expected results:

The value present in the section should be displayed

Additional info:

See also bug report in LemonLDAP::NG tracker: http://jira.ow2.org/browse/LEMONLDAP-471
Comment 1 Fedora Update System 2012-07-27 14:13:47 EDT
perl-List-MoreUtils-0.33-5.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-List-MoreUtils-0.33-5.el5
Comment 2 Fedora Update System 2012-07-27 18:07:09 EDT
Package perl-List-MoreUtils-0.33-5.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing perl-List-MoreUtils-0.33-5.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6537/perl-List-MoreUtils-0.33-5.el5
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-08-05 02:41:54 EDT
Package perl-Config-IniFiles-2.72-2.el5.2, perl-List-MoreUtils-0.33-5.el5:
* should fix your issue,
* was pushed to the Fedora EPEL 5 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing perl-Config-IniFiles-2.72-2.el5.2 perl-List-MoreUtils-0.33-5.el5'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-6537/perl-Config-IniFiles-2.72-2.el5.2,perl-List-MoreUtils-0.33-5.el5
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-21 14:35:48 EDT
perl-Config-IniFiles-2.72-2.el5.2, perl-List-MoreUtils-0.33-5.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.